html {
  font-size: 62.5%;
  font-family: 'Courier New', Courier, monospace;
}

body {
  display: flex; /* Activate flexbox layout */
  flex-direction: column;
  margin: 0;
  box-sizing: border-box;
  justify-content: center; /* Centers horizontally */
  align-items: center;    /* Centers vertically */
  min-height: 100vh;
  font-size: 1.6rem;
  box-sizing: border-box;
  overflow-x: hidden;
  background-color: #023936;
}

html, body {
    overflow-x: hidden;
}

a {
    color: #FBFFE6;
    font-size: 5rem;
    text-decoration: underline;
    text-underline-offset: 1.25rem;
}

a.desc-link {
    color: white;
    font-size: 2rem;
    font-weight: 500;
    line-height: 4rem;
    text-underline-offset: 1rem;
    overflow: hidden;
    margin: 0;
}

p {
    color: white;
    font-size: 2rem;
    font-weight: 500;
    line-height: 4rem;
    padding: 2rem;
    overflow: hidden;
    margin: 0;
}

img {
    padding: 0;
    margin: 0;
}

li {
    font-size: 1rem;
}

.search-box {
    width: 100%;
    max-width: 1000px;
    height: 50px;
    padding: 10px;
    margin-top: 20px;
    border-radius: 5px;
    border: 1px solid #ccc;
    color: #2fffcb;
    background-color: #0b2d33;
    font-size: 1.8rem;
    box-sizing: border-box;
}

.search-button {
    width: 100%;
    max-width: 75px;
    height: 75px;
    padding: 5px;
    border-radius: 15px;
    border: none;
    color: #2fffcb;
    background-color: #0b2d33;
    font-size: 3rem;
    cursor: pointer;
}

.hidden {
    font-size: 0;
    height: 0;
    margin: 0;
    padding: 0;
}

hr.squiggly {
    border: none;
    width: 100%;
    height: 20px;
    background: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='60' height='20' viewBox='0 0 60 20'><path d='M0,10 C10,0 20,20 30,10 C40,0 50,20 60,10' stroke='%237BF0EA' fill='transparent' stroke-width='2' stroke-linecap='round'/></svg>") repeat-x;
    background-size: 60px 20px;
}

a.home-link {
    color: #2fffcb;
    font-size: 2rem;
}

a.been-link {
    color: #FBFFE6;
    font-size: 3rem;
}

a.reco-link {
    color: #996dff;
    font-size: 3rem;
}

.tag {
    color: #7BF0EA;
    font-weight: 700;
    font-size: 1.0vw;
}

.flex-container {
    display: flex; /* Activate flexbox layout */
    flex-direction: column;
    padding: 25px;
    margin: 0 auto;
    width: 100%; 
    max-width: 1200px;
    height: auto;
    box-sizing: border-box;
    /* border: medium dashed green; */
}

.flex-container#space-evenly {
    display: flex; /* Activate flexbox layout */
    flex-direction: column;
    text-align: center;
    justify-content: center;
    align-items: center;
    gap: 2rem;
    /* border: medium dashed green; */
}

.flex-container#row-space-between {
    display: flex; /* Activate flexbox layout */
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    gap: 2rem;
    margin: 0;
    padding: 0;
    /* border: medium dashed green; */
}

.flex-container#row {
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    width: calc(100% + 2rem);
    margin-left: -1rem;
    margin-right: -1rem;
    flex-wrap: wrap;
    box-sizing: border-box;
    /* border: medium dashed green; */
  }

.flex-container#row > * {
    flex: 1 1 300px;              /* flexible width for children */
    max-width: 100%;
    padding: 1rem;
    font-size: clamp(1.4rem, 2vw, 2.2rem);
    box-sizing: border-box;
}

.flex-container#row {
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    width: calc(100% + 2rem);
    margin-left: -1rem;
    margin-right: -1rem;
    flex-wrap: wrap;
    box-sizing: border-box;
    /* border: medium dashed green; */
  }

.flex-container#row-center {
    display: flex; /* Activate flexbox layout */
    flex-direction: row;
    text-align: center;
    justify-content: center;
    align-items: center;
    gap: 15rem;
    /* border: medium dashed green; */
}

.flex-container#description{
    margin: 0 25vw 0 25vw;
    /* border: medium dashed green; */
}

.flex-container#description > :first-child {
    padding-top: 30px;
  }

.flex-container#search {
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    width: 100%;
    gap: 1rem;
}

#title-p {
    color: #7BF0EA;
    max-width: 100%;
    font-size: 1.8rem;
    padding: 10px 0;
    margin: 0;
}

#been-p{
    color: #FBFFE6;
    font-size: 3rem;
    line-height: 5rem;
    padding: 0 0 0 0;
    margin: 0;
}

#title-squid{
    color: #EE3C3E;
    font-size: 9rem;
    padding-top: 5rem;
    padding-left: 0;
    margin: 0;
}

#been-squid{
    color: #EE3C3E;
    font-size: 10rem;
    text-align: center;
    padding-top: 5rem;
    margin: 0;
}

#search-squid{
    color: #EE3C3E;
    font-size: 8rem;
    text-align: center;
    padding-top: 5rem;
    margin: 0;
}

#been-img {
    width: 50%;
    height: auto;
    max-width: 500px;
    max-height: 500px;
    object-fit: cover;
}

.description#been-img {
  width: 500px;
  height: 500px;
  max-width: 100%;
  object-fit: cover;
  display: block;
  margin: 0 auto;
  padding-top: 20px;
  padding-bottom: 20px;
}

.vertical-list{
    list-style-type: none;
    font-size: 3.5vw;
    padding: 1vw 0 1vw 0;
    margin: 0;
}

.vertical-list#been{
    list-style-type: none;
    font-size: 3.5vw;
    padding: 0vw 0 1vw 0;
    margin: 0;
}

.places-list{
    list-style-type: none;
    color: white;
    font-size: 1.8rem;
    padding: 10px 0;
    margin: 0;
    max-width: 100%;
    line-height: 5rem;
    /* border: medium dashed green; */
}

.places-list li{
    list-style-type: none;
    color: white;
    font-size: 1.8rem;
    padding: 8px 0;
    margin: 0;
}

.places-list#tags{
    list-style-type: none;
    color: white;
    font-size: 1.8rem;
    padding: 1rem 0 1rem 0; /* change me */
    margin: 0;
    line-height: 7rem;
    /* border: medium dashed green; */
}

.places-list#tags a{
    padding: 0 0.75vw 0 0.75vw; /* change me */
    /* border: medium dashed green; */
}

.org-tab {
    background-color: #0b2d33;
    color: #FBFFE6;
    font-size: 1.5rem;
    margin-left: 5px;
    padding: 5px;
    opacity: 50%;
    text-decoration: none;
}

.vertical-list li{
    padding: 1vw 0 1vw 0;
}

/* Container for the scrolling effect */
.scrolling-text-container {
    position: fixed;
    bottom: 0;
    width: 100%;           /* Full width */
    overflow: hidden;      /* Hide the overflow */
    white-space: nowrap;   /* Prevent text wrapping */
    color: #7bf0ea25;
    background-color: #023936;
    margin-top: 25px;
    padding: 5px;
    /* border: medium dashed green; */
}

/* Moving text */
.scrolling-text {
    display: inline-block; /* Inline-block to allow seamless flow */
    animation: scroll 70s linear infinite; /* Animation */
    font-size: 1.5rem;
/* border: medium dashed green; */
}

/* Keyframes for the scrolling effect */
@keyframes scroll {
    0% {
        transform: translateX(5%); /* Start offscreen */
        }
    
    100% {
        transform: translateX(-100%); /* End offscreen */
        }
}


@media (max-width: 768px) {
    body {
      margin: 0;
      padding: 0 1rem; /* Adds spacing from screen edge */
    }

    p{
        color: white;
        font-size: 2rem;
        line-height: 4rem;
        padding: 25px;
        overflow: hidden;
        margin: 0;
    }

    a {
        font-size: 2.75rem;
        text-underline-offset: 0.5rem;
    }

    #title-squid{
        color: #EE3C3E;
        font-size: 5rem;
        padding-top: 5rem;
    }
    
    #search-squid{
        color: #EE3C3E;
        font-size: 5rem;
        padding-top: 5rem;
    }

    .search-button {
        width: 100%;
        max-width: 50px;
        height: 50px;
        padding: 5px;
        border-radius: 15px;
        border: none;
        color: #2fffcb;
        background-color: #0b2d33;
        font-size: 2rem;
        cursor: pointer;
    }
  
    .flex-container {
      margin: 0 auto;
      padding: 1.5rem 1rem;
    }

    .flex-container#space-between {
        gap: 0rem !important;
    }

    #title-p, #been-p {
        font-size: 2rem;
        max-width: fit-content;
      }

    a.been-link {
        font-size: 2rem;
    }
    
    .flex-container#row-center {
        gap: 3rem;
    }
      
}


@media (max-width: 480px) {
    body {
        padding: 0 1.5rem;
    }

    p{
        color: white;
        font-size: 1.5rem;
        line-height: 2.5rem;
        padding: 5px;
        overflow: hidden;
        margin: 0;
    }

    a {
        font-size: 2.75rem;
        text-underline-offset: 0.5rem;
    }

    .flex-container {
        margin: 0 auto;
        padding: 1.5rem 1rem;
    }

    .flex-container#space-between {
        gap: 1rem;
    }

    .flex-container#row-center {
        gap: 0rem;
    }
    
    #title-squid {
      font-size: 3rem;
    }
    
    #been-squid {
      font-size: 3rem;
    }
    
    #search-squid {
        font-size: 3rem;
        padding: 15px;
    }
    
    .vertical-list, .vertical-list#been {
      font-size: 2.4rem;
    }
    
    #been-img {
      width: 150px;
      height: 150px;
    }
    
    .places-list, .places-list li {
      font-size: 1.6rem;
      line-height: 2.5rem;
    }
    
    #title-p, #been-p {
      font-size: 2rem;
      max-width: fit-content;
    }

    a.been-link {
        font-size: 1.5rem;
    }

    .org-tab {
        font-size: 1rem;
        padding: 5px;
        opacity: 50%;
        text-decoration: none;
    }
    
  }